main()
{
	maps\mp\_load::main();
	
	//Solier Setup
	game["allies"] = "russian";
	game["axis"] = "german";

	game["russian_soldiertype"] = "veteran";
	game["russian_soldiervariation"] = "normal";
	game["german_soldiertype"] = "waffen";
	game["german_soldiervariation"] = "normal";

	game["attackers"] = "allies";
	game["defenders"] = "axis";

	game["layoutimage"] = "mp_berlin_no55_v1";

	
	level thread maps\mp\_tankdrive_gmi::main();
	level thread maps\mp\_vehdrive_dmod::main();
	
	ambientPlay("ambient_berlin_ext");
	
	setCullFog (0, 9000, 0.31, 0.31, 0.315, 0);
	
	//Sound Setup
	getent ("stromschiene1","targetname") playloopsound ("stromschiene");
	getent ("stromschiene2","targetname") playloopsound ("stromschiene");
	getent ("stromschiene3","targetname") playloopsound ("stromschiene");
	getent ("stromschiene4","targetname") playloopsound ("stromschiene");
	getent ("stromschiene5","targetname") playloopsound ("stromschiene");
	getent ("stromschiene11","targetname") playloopsound ("stromschiene");
	getent ("stromschiene12","targetname") playloopsound ("stromschiene");
	getent ("stromschiene13","targetname") playloopsound ("stromschiene");
	getent ("stromschiene14","targetname") playloopsound ("stromschiene");
	getent ("stromschiene15","targetname") playloopsound ("stromschiene");
	getent ("stromschiene16","targetname") playloopsound ("stromschiene");
	getent ("stromschiene17","targetname") playloopsound ("stromschiene");
	getent ("stromschiene18","targetname") playloopsound ("stromschiene");
	
	getent ("tankstelle","targetname") playloopsound ("smallfire");
	
	getent ("frog_1","targetname") playloopsound ("frog");

	getent ("gruft1","targetname") playloopsound ("gruft");
	
	getent ("fliege_1","targetname") playloopsound ("fliege");
	getent ("fliege_2","targetname") playloopsound ("fliege");
	getent ("fliege_3","targetname") playloopsound ("fliege");
	
	//Smoke Setup
	
	//Tankstelle
	level._effect["blacksmokelinger"] = loadfx ("fx/smoke/blacksmokelinger.efx");
	maps\mp\_fx::loopfx("blacksmokelinger", ( 3040, 3064, 40), 0.1);
	
	//Tankstelle
	level._effect["barreloil_fire"] = loadfx ("fx/fire/barreloil_fire.efx"); 
	maps\mp\_fx::loopfx("barreloil_fire", ( 3040, 3064, 10), 0.1);
	
	//Bank
	level._effect["chimneysmoke"] = loadfx ("fx/smoke/chimneysmoke.efx");
	maps\mp\_fx::loopfx("chimneysmoke", ( -624, 2410, 40), 0.3);
	
	//hq settings
	if (getcvar("g_gametype") == "hq")
	{
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (416, 3776, 296);
		radio.angles = (0, 180, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (2568, 3368, 0);
		radio.angles = (0, 315, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (2616, 1976, 20);
		radio.angles = (0.5, 179, 30);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-752, 2256, 64);
		radio.angles = (0, 300, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-1418, 3996, 250);
		radio.angles = (0, 120, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (-353, 3144, 32);
		radio.angles = (0, 60, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (1430, 2278, 200);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (536, 1104, 88);
		radio.angles = (0, 0, 0);
		radio.targetname = "hqradio";
		
		radio = spawn ("script_model", (0,0,0));
		radio.origin = (1800, 3224, 136);
		radio.angles = (0, 90, 0);
		radio.targetname = "hqradio";
	}

}